moSetGetArtDesign = {};

function moSetGetArtDesign:setMultiOverlayDesign(self, newArtDesign)	
	if newArtDesign and moDefault.xml ~= nil and moGuiMiniPDAsetGet.artDesign and getXMLString(moDefault.xml, "MultiOverlay.artDesignDirAndXML") ~= nil then			
		moGuiMiniPDAsetGet.designDir = getUserProfileAppPath();
		if moSetGetArtDesign:searchArtDesignFiles() then						
			moGuiMiniPDAsetGet.artDesign = true;
			moSetGetArtDesign:generateArtDesign();						
			print("***loading MultiOverlay Hud artDesign.... " ..moGuiMiniPDAsetGet.designName.. "***")
		else
			moGuiMiniPDAsetGet.artDesign = false;
			moGuiMiniPDAsetGet.designDir = moDefault.mkdir;			
			print("!!!! WARNING !!!! Found MultiOverlay Hud artDesign Error.... loading default artDesign")				
		end;			
	end;
	if not moGuiMiniPDAsetGet.artDesign then
		if moGuiMiniPDAsetGet.artDesignDistance then 
			moGuiMiniPDAsetGet.artDesignDistance = false;
			moGuiMiniPDAsetGet.slotDistance = 0.0;
			--print("aufruf moSetGetArtDesign.lua artDesign False...setze..".. moGuiMiniPDAsetGet.slotDistance)
			moSetGetGui:refreshAlignment(self, false, false);
		end;
		moSetGetArtDesign:generateArtDesign();
	end;		
end;

--check version 3
function moSetGetArtDesign:searchArtDesignFiles()	
	local designXMLFile = getXMLString(moDefault.xml, "MultiOverlay.artDesignDirAndXML");
	local xmlFile = Utils.getFilename(designXMLFile.. ".xml", moGuiMiniPDAsetGet.designDir);	
	if fileExists(xmlFile)then		
		local Xml = loadXMLFile("MultiOverlayArtDesign_XML", xmlFile, "MultiOverlay");
		if getXMLInt(Xml, "MultiOverlay.version") == nil or getXMLInt(Xml, "MultiOverlay.version") < tonumber(moGuiMiniPDAsetGet.artDesignVersion) then
			print("!!!! Incompatible artDesign. View www.modhoster.de for compatible artDesign Packs !!!!")
			return false;
		end;
		if getXMLString(Xml, "MultiOverlay.designName") ~= nil then 					
			local designName = getXMLString(Xml, "MultiOverlay.designName");
			local xmlImageFile = designName.. ".dds";
			local replaceDirFile = string.gsub(xmlFile, designName.. ".xml", "");				
			local imageFile = replaceDirFile.. xmlImageFile;				
			if fileExists(imageFile) then							
				moGuiMiniPDAsetGet.designFile = xmlImageFile;
				moGuiMiniPDAsetGet.designDir = replaceDirFile;
				moGuiMiniPDAsetGet.designName = designName;
				moSetGetArtDesign:searchArtDesignColors(Xml);
				return true;
			end;
		end;
	end;
	return false;
end;

function moSetGetArtDesign:searchArtDesignColors(Xml)
	local rgbh = "";
	if getXMLString(Xml, "MultiOverlay.activeColor") then		
		rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlay.activeColor"));
		moGuiMiniPDAsetGet.activeColor = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};		
	end;	
	if getXMLString(Xml, "MultiOverlay.inactiveColor") then		
		rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlay.inactiveColor"));
		moGuiMiniPDAsetGet.inactiveColor = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};		
	end;
	if getXMLString(Xml, "MultiOverlay.siloColor") then		
		rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlay.siloColor"));
		moGuiMiniPDAsetGet.siloColor = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};		
	end;
	if getXMLString(Xml, "MultiOverlay.priceColor") then		
		rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlay.priceColor"));
		moGuiMiniPDAsetGet.priceColor = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};		
	end;
	if getXMLString(Xml, "MultiOverlay.bestPriceColor") then		
		rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlay.bestPriceColor"));
		moGuiMiniPDAsetGet.bestPriceColor = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};		
	end;
	if getXMLString(Xml, "MultiOverlay.demandColor") then		
		rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlay.demandColor"));
		moGuiMiniPDAsetGet.demandColor = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};		
	end;
	if getXMLString(Xml, "MultiOverlay.defaultColor") then		
		rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlay.defaultColor"));
		moGuiMiniPDAsetGet.defaultColor = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};		
	end;
	for a=0, 4 do
		if getXMLString(Xml, "MultiOverlay.warningColor".. a) then		
			rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlay.warningColor".. a));
			moGuiMiniPDAsetGet["warningColor".. a] = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};			
		end;
	end;
	if getXMLBool(Xml, "MultiOverlay.warningBlink") ~= nil then		
		moGuiMiniPDAsetGet.warningBlink = getXMLBool(Xml, "MultiOverlay.warningBlink");		
	end;
	if getXMLBool(Xml, "MultiOverlay.warningFirst") ~= nil then		
		moGuiMiniPDAsetGet.warningFirst = getXMLBool(Xml, "MultiOverlay.warningFirst");
	end;
	if getXMLString(Xml, "MultiOverlay.lineColor") then		
		rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlay.lineColor"));
		moGuiMiniPDAsetGet.lineColor = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};
		moGuiMiniPDAsetGet.lineColorFound = true;
	end;
	if getXMLString(Xml, "MultiOverlay.groundColor") then		
		rgbh = Utils.splitString(" ", getXMLString(Xml, "MultiOverlay.groundColor"));
		moGuiMiniPDAsetGet.groundColor = {tonumber(rgbh[1])/255, tonumber(rgbh[2])/255, tonumber(rgbh[3])/255, tonumber(rgbh[4])};
		moGuiMiniPDAsetGet.groundColorFound = true;
	end;
	if getXMLFloat(Xml, "MultiOverlay.maxPdaZoom") then		
		local maxPdaZoom = getXMLFloat(Xml, "MultiOverlay.maxPdaZoom");
		if tonumber(moGuiMiniPDAsetGet.zoomOutIn) >= tonumber(maxPdaZoom) then moGuiMiniPDAsetGet.zoomOutIn = maxPdaZoom;end;
		moGuiMiniPDAsetGet.maxZoom = maxPdaZoom;
	end;
	if getXMLFloat(Xml, "MultiOverlay.minPdaZoom") then		
		local minPdaZoom = getXMLFloat(Xml, "MultiOverlay.minPdaZoom");
		if tonumber(moGuiMiniPDAsetGet.zoomOutIn) <= tonumber(minPdaZoom) then moGuiMiniPDAsetGet.zoomOutIn = minPdaZoom;end;
		moGuiMiniPDAsetGet.minZoom = minPdaZoom;
	end;
	if getXMLFloat(Xml, "MultiOverlay.slotDistance") then 
		moGuiMiniPDAsetGet.artDesignDistance = true;
		moGuiMiniPDAsetGet.slotDistance = getXMLFloat(Xml, "MultiOverlay.slotDistance");		
		moSetGetGui:refreshAlignment(self, false, false);
	else		
		moGuiMiniPDAsetGet.artDesignDistance = false;
		moGuiMiniPDAsetGet.slotDistance = 0.0;
		moSetGetGui:refreshAlignment(self, false, false);
	end;	
end;

function moSetGetArtDesign:generateArtDesign()
	moSetGetGui:loadGuiDesignGroundImages(self, false);
	moSetGetGui:loadDefaultImages(self, false);
	moSetGetGui:loadDefaultMouseImages(self, false);
	moSetGetGui:loadDefaultPDAImages(self, false);
	moSetGetGui:loadSlotWarningImages(self, false);
	moSetGetGui:loadMiniPDAcfgImages(self, false);
	--if moSetGetGui.pdaVI.iconDesign then
		moSetGetGui:loadDefaultViImages(self, false);
	--end;	
	if moGuiMiniPDAsetGet.isActive then
		moSetGetGui:loadSlotImages(self, false);		
	end;	
end;